NMRPFLASH(1)

NAME
nmrpflash -- firmware flash utility for Netgear devices

USAGE
nmrpflash [OPTION...]

OPTIONS
-i, and -f or -c are mandatory

-a ipaddr
    IP address to assign to target device

-A ipaddr
    IP address to assign to selected interface

-B  Blind mode (don't wait for response packets)

-c command
    Command to run before (or instead of) TFTP upload

-f firmware
    Firmware file

-F filename
    Remote filename to use during TFTP upload

-i interface
    Network interface directly connected to device

-m mac
    MAC address of target device (xx:xx:xx:xx:xx:xx)

-M netmask
    Subnet mask to assign to target device

-t timeout
    Timeout (in milliseconds) for NMRP packets

-T timeout
    Time (seconds) to wait after successful TFTP upload

-p port
    Port to use for TFTP upload

-R region
    Set device region (NA, WW, GR, PR, RU, BZ, IN, KO, JP)

-v  Be verbose

-V  Print version and exit

-L  List network interfaces

-h  Show this screen

EXAMPLES
(run as root)

 # nmrpflash -i eth0 -f firmware.bin

When using -c, the environment variables IP, PORT, NETMASK and MAC are set to the device IP address, TFTP port, subnet mask and MAC address, respectively.

COPYRIGHT & LICENSE
nmrpflash Copyright (C) 2016 Joseph C. Lehner

nmrpflash is free software, licensed under the GNU GPLv3. Source code at <https://github.com/jclehner/nmrpflash>

This documentation was created by Damyan Ivanov dmn@debian.org from the "nmrpflash" help text. Licensed under the same terms as the upstream source code.